#include "sali.hpp"

double SALI(vector<double> &w1, vector<double> &w2)
{
    normalize(w1);
    normalize(w2);
    
    double sum = norm(lincomb_f(1.0, w1,  1.0, w2));
    double sub = norm(lincomb_f(1.0, w1, -1.0, w2));
    double s = fmin(sum, sub);
    
    return s;
}